export const storage = {
  get: (key) => {
    return localStorage.getItem(key);
  },
  set: (key, value) => {
    localStorage.setItem(key, value);
  },
  getToken: () => {
    const authString = localStorage.getItem("autoflow-auth");
    if (authString !== null) {
      const auth = JSON.parse(authString);
      return auth.token;
    }
    return "";
  },
  getUserId: () => {
    const authString = localStorage.getItem("autoflow-auth");
    if (authString !== null) {
      const auth = JSON.parse(authString);
      return auth.userId;
    }
    return "";
  },
  getId: () =>{
    const authString = localStorage.getItem("autoflow-auth");
    if (authString !== null) {
      const auth = JSON.parse(authString);
      return auth.id;
    }
    return "";
  },

  getAuth: () => {
    const authString = localStorage.getItem("autoflow-auth");
    if (authString !== null) {
      return JSON.parse(authString);
    }
    return null;
  },
  setAuth: (value) => {
    localStorage.setItem("autoflow-auth", JSON.stringify(value));
  },
  clearAuth: () => {
    localStorage.removeItem("autoflow-auth");
  },
};
